aboutsummaryrefslogtreecommitdiffstats
path: root/deployment/heat/onap-oom/scripts/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deployment/heat/onap-oom/scripts/deploy.sh')
-rwxr-xr-xdeployment/heat/onap-oom/scripts/deploy.sh22
1 files changed, 13 insertions, 9 deletions
diff --git a/deployment/heat/onap-oom/scripts/deploy.sh b/deployment/heat/onap-oom/scripts/deploy.sh
index 056174d28..8ab79a2c8 100755
--- a/deployment/heat/onap-oom/scripts/deploy.sh
+++ b/deployment/heat/onap-oom/scripts/deploy.sh
@@ -12,6 +12,9 @@ ENV_FILE=$1
source $WORKSPACE/test/ete/scripts/install_openstack_cli.sh
+SO_ENCRYPTION_KEY=aa3871669d893c7fb8abbcda31b88b4f
+export OS_PASSWORD_ENCRYPTED=$(echo -n "$OS_PASSWORD" | openssl aes-128-ecb -e -K "$SO_ENCRYPTION_KEY" -nosalt | xxd -c 256 -p)
+
for n in $(seq 1 5); do
$WORKSPACE/test/ete/scripts/teardown-onap.sh
@@ -21,31 +24,32 @@ for n in $(seq 1 5); do
for i in $(seq 1 30); do
sleep 30
- K8S_IP=$(openstack stack output show onap-oom k8s_vm_ip -c output_value -f value)
RANCHER_IP=$(openstack stack output show onap-oom rancher_vm_ip -c output_value -f value)
- timeout 1 ping -c 1 "$K8S_IP" && timeout 1 ping -c 1 "$RANCHER_IP" && break
+ timeout 1 ping -c 1 "$RANCHER_IP" && break
done
- timeout 1 ping -c 1 "$K8S_IP" && timeout 1 ping -c 1 "$RANCHER_IP" && break
+ timeout 1 ping -c 1 "$RANCHER_IP" && break
- echo Error: OpenStack infrastructure issue: unable to reach both rancher "$RANCHER_IP" and k8s "$K8S_IP"
+ echo Error: OpenStack infrastructure issue: unable to reach rancher "$RANCHER_IP"
sleep 10
done
-if ! timeout 1 ping -c 1 "$K8S_IP" || ! timeout 1 ping -c 1 "$RANCHER_IP"; then
+if ! timeout 1 ping -c 1 "$RANCHER_IP"; then
exit 2
fi
-ssh-keygen -R $K8S_IP
+ssh-keygen -R $RANCHER_IP
for n in $(seq 1 10); do
- timeout 15m ssh -o StrictHostKeychecking=no -i ~/.ssh/onap_key ubuntu@$K8S_IP 'sudo su -l root -c "/root/oom/kubernetes/robot/ete-k8s.sh onap health"'
+ timeout 15m ssh -o StrictHostKeychecking=no -i ~/.ssh/onap_key ubuntu@$RANCHER_IP 'sudo su -l root -c "/root/oom/kubernetes/robot/ete-k8s.sh onap health"'
RESULT=$?
if [ $RESULT -eq 0 ]; then
break
fi
sleep 15m
done
-ROBOT_POD=$(ssh -o StrictHostKeychecking=no -i ~/.ssh/onap_key ubuntu@$K8S_IP 'sudo su -c "kubectl --namespace onap get pods"' | grep robot | sed 's/ .*//')
-LOG_DIR=$(ssh -o StrictHostKeychecking=no -i ~/.ssh/onap_key ubuntu@$K8S_IP "sudo su -c \"kubectl exec $ROBOT_POD --namespace onap -- ls -1t /share/logs | head -1\"")
+ROBOT_POD=$(ssh -o StrictHostKeychecking=no -i ~/.ssh/onap_key ubuntu@$RANCHER_IP 'sudo su -c "kubectl --namespace onap get pods"' | grep robot | sed 's/ .*//')
+LOG_DIR=$(ssh -o StrictHostKeychecking=no -i ~/.ssh/onap_key ubuntu@$RANCHER_IP "sudo su -c \"kubectl exec $ROBOT_POD --namespace onap -- ls -1t /share/logs | head -1\"")
+
+K8S_IP=$(openstack stack output show onap-oom k8s_1_vm_ip -c output_value -f value)
wget --user=robot --password=robot -r -np -nH --cut-dirs=2 -R "index.html*" -P $WORKSPACE/archives/ http://$K8S_IP:30209/logs/$LOG_DIR/
exit 0